package com.kingdee.eas.custom.compensation;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPerfEvalSyncInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractPerfEvalSyncInfo()
    {
        this("id");
    }
    protected AbstractPerfEvalSyncInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 绩效考评结果同步 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:绩效考评结果同步's 年月property 
     */
    public String getYearMonth()
    {
        return getString("yearMonth");
    }
    public void setYearMonth(String item)
    {
        setString("yearMonth", item);
    }
    /**
     * Object:绩效考评结果同步's 绩效系数property 
     */
    public java.math.BigDecimal getComplaintFineAmount()
    {
        return getBigDecimal("complaintFineAmount");
    }
    public void setComplaintFineAmount(java.math.BigDecimal item)
    {
        setBigDecimal("complaintFineAmount", item);
    }
    /**
     * Object:绩效考评结果同步's 状态property 
     */
    public com.kingdee.eas.custom.compensation.bizEnum.SyncStatusEnum getState()
    {
        return com.kingdee.eas.custom.compensation.bizEnum.SyncStatusEnum.getEnum(getString("state"));
    }
    public void setState(com.kingdee.eas.custom.compensation.bizEnum.SyncStatusEnum item)
    {
		if (item != null) {
        setString("state", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("DA5E4C49");
    }
}